%define name wavbreaker
%define version 0.9
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Gtk+ program to split WAV files between songs
License:	GPL
Group:		Sound
URL:		http://wavbreaker.sf.net/
Source0:	http://downloads.sourceforge.net/wavbreaker/%{name}-%{version}.tar.bz2
Suggests:       moodbar
BuildRequires:	gtk+2-devel 
BuildRequires:  libxml2-devel
BuildRequires:  alsa-lib-devel
BuildRequires:	desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This application's purpose in life is to take a wave file and break it up into
multiple wave files.  It makes a clean break at the correct position to burn
the files to an audio cd without any dead air between the tracks.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %name

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog NEWS
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_iconsdir/hicolor/16x16/apps/%name.png
%_iconsdir/hicolor/22x22/apps/%name.png
%_iconsdir/hicolor/24x24/apps/%name.png
%_iconsdir/hicolor/48x48/apps/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_mandir/man1/*


%changelog
* Thu Feb 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2008.1
+ Revision: 173685
- Changes from Jos?\195?\169 Jorge (lists.jjorge@free.fr):
- new version
- fix URL
- suggest moodbar

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 19 2007 Austin Acton <austin@mandriva.org> 0.8.0-1mdv2008.0
+ Revision: 28512
- new version
- add man page
- compy with XDG menu and FDO icons
- Import wavbreaker



* Fri Feb 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.6.1-3mdk
- fix build on x86_64

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Fix BuildRequires
- %%mkrel 

* Tue Aug 30 2005 Austin Acton <austin@mandriva.org> 0.6.1-1mdk
- New release 0.6.1

* Tue Jul 13 2004 Austin Acton <austin@mandrake.org> 0.5-1mdk
- 0.5

* Fri Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- 0.4

* Fri Jun 27 2003 David Walser <luigiwalser@yahoo.com> 0.3-1mdk
- initial package
